package de.mdelab.mlsdm.interpreter.facade;

import de.mdelab.mlsdm.ActivityEdge;
import de.mdelab.mlsdm.ActivityNode;
import de.mdelab.sdm.interpreter.core.facade.IUnspecificActivityNodeFacade;

/**
 * 
 * @author Stephan Hildebrandt
 * 
 */
public class MLSDMUnspecificActivityNodeFacade extends MLSDMActivityNodeFacade implements
		IUnspecificActivityNodeFacade<ActivityNode, ActivityEdge>
{
	@Override
	public ActivityEdge getNextActivityEdge(final ActivityNode activityNode)
	{
		assert activityNode != null;
		assert activityNode.getOutgoingEdges().size() == 1;

		return activityNode.getOutgoingEdges().get(0);
	}
}
