package de.mdelab.mlsdm.interpreter.facade.adapters;

import org.eclipse.emf.common.notify.Adapter;

import de.mdelab.mlexpressions.util.MlexpressionsAdapterFactory;

/**
 * This adapter factory creates StringExpressionASTHolderAdapters, which story
 * the AST of an already parsed textual expression.
 * 
 * @author Stephan Hildebrandt
 * 
 */
public class MLSDMInterpreterExpressionAsdapterFactory extends MlexpressionsAdapterFactory
{
	public static MLSDMInterpreterExpressionAsdapterFactory	INSTANCE	= new MLSDMInterpreterExpressionAsdapterFactory();

	@Override
	public Adapter createMLStringExpressionAdapter()
	{
		return new StringExpressionASTHolderAdapter();
	}
}
