package de.mdelab.mlsdm.interpreter.facade.adapters;

import org.eclipse.emf.common.notify.impl.AdapterImpl;

/**
 * Holds the AST of an already parsed textual expression.
 * 
 * @author Stephan Hildebrandt
 * 
 */
public class StringExpressionASTHolderAdapter extends AdapterImpl
{
	private Object	ast;

	@Override
	public boolean isAdapterForType(final Object type)
	{
		return type == MLSDMInterpreterExpressionAsdapterFactory.INSTANCE;
	}

	public Object getAST()
	{
		return this.ast;
	}

	public void setAST(final Object ast)
	{
		this.ast = ast;
	}
}
